Bug 186206 - firefox script warning dialog has icons reversed
firefox script warning dialog has icons reversed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 03:53 EST by Bernard Johnson
Modified: 2008-02-25 11:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 11:47:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
warning dialog (15.02 KB, image/png)
2006-03-22 03:53 EST, Bernard Johnson
no flags Details
warning dialog (16.63 KB, image/png)
2008-02-22 20:31 EST, Bernard Johnson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 419463 None None None Never

  None (edit)
Description Bernard Johnson 2006-03-22 03:53:31 EST
Description of problem:
In a dialog of this type (see image), shouldn't "continue" be the "arrow" and
"stop script" be the "x"


Version-Release number of selected component (if applicable):
firefox-1.5.0.1-9

How reproducible:
Only when I get the message, and this was the only time I've ever seen this, but
it shouldn't be hard to track down.

Steps to Reproduce:
1.  This particular case was caused by bugzilla.redhat.com loading really slow.
2.
3.
  
Actual results:
See image

Expected results:


Additional info:
Comment 1 Bernard Johnson 2006-03-22 03:53:31 EST
Created attachment 126456 [details]
warning dialog
Comment 2 Bernard Johnson 2007-03-23 15:41:29 EDT
still there in fc6 firefox-1.5.0.10-5.fc6
Comment 3 Bernard Johnson 2007-11-16 03:02:28 EST
still in f7 firefox-2.0.0.9-1.fc7

It actually happens semi-regular when running a query in bugzilla (lots of
javascript I guess).
Comment 4 Matěj Cepl 2008-02-08 15:41:38 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 5 Matěj Cepl 2008-02-21 17:34:14 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Matěj Cepl 2008-02-21 17:35:22 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 7 Bernard Johnson 2008-02-22 20:30:11 EST
Still in F-8.  I can't test FF3 or rawhide at this time.
Comment 8 Bernard Johnson 2008-02-22 20:31:04 EST
Created attachment 295695 [details]
warning dialog
Comment 9 Bernard Johnson 2008-02-22 20:35:20 EST
Also to note:

The 'x' for continue has been changed to nothing, but the 'carriage return'
image for stop is still present.

Easy way to reproduce:
about:config
set dom.max_script_run_time to 1
go to bugzilla.redhat.com
click query.  If the page takes longer than 1 sec to load the
products/components list (all of mine do), you will get this popup.
Comment 10 Matěj Cepl 2008-02-25 11:47:36 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=419463) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.